Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.cluster
Class TransSplitter

    java.lang.Object
      org.pentaho.di.trans.cluster.TransSplitter

    public class TransSplitter

extends Object

This class takes care of the separation of the original transformation into pieces that run on the different slave servers in the clusters used.

Author:
  Matt

Constructor Summary
`TransSplitter()`
`TransSplitter(TransMeta transMeta)`

Method Summary
`static String` | `createPartitionSchemaNameFromTarget(String targetName)`
`String` | `createPortCacheKey(SlaveServer sourceSlave, String sourceStepName, int sourceStepCopy, SlaveServer targetSlave, String targetStepName, int targetStepCopy)`
`static String` | `createSlavePartitionSchemaName(String name)`
`static String` | `createTargetPartitionSchemaName(String name)`
`TransMeta` | `getMaster()`
`SlaveServer` | `getMasterServer()`
`TransMeta` | `getOriginalTransformation()`
`TransMeta[]` | `getSlaves()`
`SlaveServer[]` | `getSlaveTargets()`
`Map<SlaveServer,TransMeta>` | `getSlaveTransMap()`
`void` | `setOriginalTransformation(TransMeta originalTransformation)`
`void` | `splitOriginalTransformation()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransSplitter

    public TransSplitter()

### TransSplitter

    public TransSplitter(TransMeta transMeta)
                  throws org.pentaho.di.core.exception.KettleException

Parameters:
  `originalTransformation` -
Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### getOriginalTransformation

    public TransMeta getOriginalTransformation()

  Returns:
    the originalTransformation

### setOriginalTransformation

    public void setOriginalTransformation(TransMeta originalTransformation)

  Parameters:
    `originalTransformation` - the originalTransformation to set

### createPortCacheKey

    public String createPortCacheKey(SlaveServer sourceSlave,
                                     String sourceStepName,
                                     int sourceStepCopy,
                                     SlaveServer targetSlave,
                                     String targetStepName,
                                     int targetStepCopy)

### createSlavePartitionSchemaName

    public static String createSlavePartitionSchemaName(String name)

### createTargetPartitionSchemaName

    public static String createTargetPartitionSchemaName(String name)

### createPartitionSchemaNameFromTarget

    public static String createPartitionSchemaNameFromTarget(String targetName)

### getMaster

    public TransMeta getMaster()

  Returns:
    the master

### getSlaveTransMap

    public Map<SlaveServer,TransMeta> getSlaveTransMap()

  Returns:
    the slaveTransMap : the mapping between a slaveServer and the transformation

### getSlaves

    public TransMeta[] getSlaves()

### getSlaveTargets

    public SlaveServer[] getSlaveTargets()

### getMasterServer

    public SlaveServer getMasterServer()
                                throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### splitOriginalTransformation

    public void splitOriginalTransformation()
                                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD